add support for python 3
[rainbowstream.git] / setup.py
1 from setuptools import setup, find_packages
2
3 version = '0.2.7'
4
5 install_requires = [
6 "python-dateutil",
7 "requests",
8 "pyfiglet",
9 "SQLAlchemy",
10 "twitter",
11 "Pillow",
12 ]
13
14 setup(name='rainbowstream',
15 version=version,
16 description="A smart and nice Twitter client on terminal.",
17 long_description=open("./README.rst", "r").read(),
18 classifiers=[
19 "Development Status :: 5 - Production/Stable",
20 "Environment :: Console",
21 "Intended Audience :: End Users/Desktop",
22 "Natural Language :: English",
23 "Operating System :: OS Independent",
24 "Programming Language :: Python :: 2.6",
25 "Programming Language :: Python :: 2.7",
26 "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
27 "Topic :: Utilities",
28 "License :: OSI Approved :: MIT License",
29 ],
30 keywords='twitter, command-line tools, web 2.0, stream API',
31 author='Vu Nhat Minh',
32 author_email='nhatminh179@gmail.com',
33 url='https://github.com/DTVD/rainbowstream',
34 license='MIT License',
35 packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
36 include_package_data=True,
37 zip_safe=True,
38 install_requires=install_requires,
39 entry_points="""
40 # -*- Entry points: -*-
41 [console_scripts]
42 rainbowstream=rainbowstream.rainbow:fly
43 """,
44 )